/**Begin D:\PDM_UPGRADE\PDM1\TPO_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TPO_DECLARE_MAIN_TSD' AND KSQL_COL_NAME ='FFREQUENCY') 
 ALTER TABLE T_TPO_DECLARE_MAIN_TSD ADD (FFREQUENCY VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TPO_DECLARE_MAIN_TSD' AND KSQL_COL_NAME ='FTOTALJTSE') 
 ALTER TABLE T_TPO_DECLARE_MAIN_TSD ADD (FTOTALJTSE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TPO_DECLARE_MAIN_TSD' AND KSQL_COL_NAME ='FTOTALSBSE') 
 ALTER TABLE T_TPO_DECLARE_MAIN_TSD ADD (FTOTALSBSE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TPO_DECLARE_MAIN_TSD' AND KSQL_COL_NAME ='FTOTALBTSE') 
 ALTER TABLE T_TPO_DECLARE_MAIN_TSD ADD (FTOTALBTSE DECIMAL(23,10) DEFAULT 0 NOT NULL );
 EXEC p_AlterColumn 'T_TPO_HBS_BIZDEF_ENTRY', 'FPROJECTNAME', 'NVARCHAR(500)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_TPO_HBS_BIZDEF_ENTRY_L', 'FFULLNAME', 'NVARCHAR(500)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_TPO_HBS_BIZDEF_ENTRY_L', 'FNAME', 'NVARCHAR(500)', 'NOT NULL', '1111', ''' ''';

/**End D:\PDM_UPGRADE\PDM1\TPO_table.sql **/
